hpct-sync(1)

NAME
hpct-sync - HiPerConTracer Synchroniser

SYNOPSIS
hpct-sync [-N node_id | --nodeid node_id]
[-L local_directory | --local local_directory]
[-R remote_location | --remote remote_location]
[-C collector | --collector collector]
[-K ssh_private_key_file | --key ssh_private_key_file]
[-H ssh_known_hosts_file | --known-hosts ssh_known_hosts_file]
[-w | --verbose] [-q | --quiet]
hpct-sync [-h | --help]
hpct-sync [-v | --version]

DESCRIPTION
hpct-sync is the HiPerConTracer synchroniser application.

ARGUMENTS
The following arguments may be provided:

-N node_id | --nodeid node_id
    Sets the node ID, a number from 1 to 9999.

-L local_directory | --local local_directory
    Sets the local data directory. Default: /var/hipercontracer/data.

-R remote_location | --remote remote_location
    Sets the remote data directory on the collector. Default: /var/hipercontracer/data.

-C collector | --collector collector
    Specifies SSH server hostname or address of the collector.

-K ssh_private_key_file | --key ssh_private_key_file
    Sets the SSH private key file used for authentication. Default: /var/hipercontracer/ssh/id_ed25519.

-H ssh_known_hosts_file | --known-hosts ssh_known_hosts_file
    Sets the SSH known hosts file. Default: /var/hipercontracer/ssh/known_hosts.

-q | --quiet
    Turns off status output.

-w | --verbose
    Turns on status output.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-sync tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

sudo -u hipercontracer hpct-sync --nodeid 1000 --local /var/hipercontracer --remote /var/hipercontracer --collector sognsvann.example --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts --verbose

sudo -u hipercontracer hpct-sync --nodeid 1 --local /var/hipercontracer --remote /var/hipercontracer --collector sognsvann.example --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts --quiet

sudo -u hipercontracer hpct-sync --nodeid 2 --collector sognsvann.example

hpct-sync --version

hpct-sync -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh